import { AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { DrawerNavItem } from '../nav-item/drawer-nav-item.component';
import { DrawerService } from '../../service/drawer.service';
import { StateListener } from '../../state-listener.component';
import * as i0 from "@angular/core";
export declare type DrawerNavGroup = {
    divider?: boolean;
    title?: string;
    items: DrawerNavItem[];
};
/**
 * [DrawerNavGroup Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * A `<blui-drawer-nav-group>` is used inside of the `<blui-drawer-body>` to organize links and content.
 * Each group consists of an (optional) group title and a series of NavItems.
 */
export declare class DrawerNavGroupComponent extends StateListener implements Omit<DrawerNavGroup, 'items'>, AfterViewInit {
    /** Whether to show a dividing line below the title */
    divider: boolean;
    /** Component to render a group title */
    title: string;
    navItems: any;
    constructor(drawerService: DrawerService, changeDetectorRef: ChangeDetectorRef);
    /** Whenever a new navigation item is created async or conditionally,
     * re-iterate through the navigation tree to assign the correct depth and top-level or nested state defaults to it. */
    ngAfterViewInit(): void;
    private _initializeNavItemDefaults;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerNavGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerNavGroupComponent, "blui-drawer-nav-group", never, { "divider": "divider"; "title": "title"; }, {}, ["navItems"], ["blui-title-content", "blui-drawer-nav-item"]>;
}
